---
title: Element.releasePointerCapture()
slug: Web/API/Element/releasePointerCapture
tags:
  - API
  - DOM
  - Element
  - Method
  - PointerEvent
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>releasePointerCapture()</strong></code> method of the {{domxref("Element")}} interface releases (stops) <em>pointer capture</em> that was previously set for a specific ({{domxref("PointerEvent")}}) <em>pointer</em>.</p>

<p>See the {{domxref("Element.setPointerCapture","Element.setPointerCapture()")}} method for a description of <em>pointer capture</em> and how to set it for a particular element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>targetElement</em>.releasePointerCapture(<em>pointerId</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>pointerId</code></dt>
 <dd>The {{domxref("PointerEvent.pointerId", "pointerId")}} of a {{domxref("PointerEvent")}} object.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>This method returns <code>undefined</code>.</p>

<h3 id="Exceptions">Exceptions</h3>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Exception</th>
   <th scope="col">Explanation</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>InvalidPointerId</code></td>
   <td>pointerId does not match any of the active pointers.</td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<p>This example sets pointer capture on a {{HtmlElement("div")}} when you press down on it. This lets you slide the element horizontally, even when you pointer moves outside of its boundaries.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;div id="slider"&gt;SLIDE ME&lt;/div&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">div {
  width: 140px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #fbe;
}</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js notranslate">function beginSliding(e) {
  slider.onpointermove = slide;
  slider.setPointerCapture(e.pointerId);
}

function stopSliding(e) {
  slider.onpointermove = null;
  slider.releasePointerCapture(e.pointerId);
}

function slide(e) {
  slider.style.transform = `translate(${e.clientX - 70}px)`;
}

const slider = document.getElementById('slider');

slider.onpointerdown = beginSliding;
slider.onpointerup = stopSliding;
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events 2','#dom-element-releasepointercapture', 'releasePointerCapture')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events', '#widl-Element-releasePointerCapture-void-long-pointerId', 'releasePointerCapture')}}</td>
   <td>{{Spec2('Pointer Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.releasePointerCapture")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("Element.setPointerCapture","Element.setPointerCapture()") }}</li>
 <li>{{ domxref("Pointer_events","Pointer Events") }}</li>
</ul>
